Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360678 - typos in fortunes ("the the")
Summary: typos in fortunes ("the the")
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fortune-mod
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Jeff Sheltren
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-27 10:19 UTC by todd_lewis
Modified: 2018-02-06 15:26 UTC (History)
2 users (show)

Fixed In Version: fortune-mod-1.99.5-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-06 11:19:47 UTC


Attachments (Terms of Use)
"the the" typo corrections for fortune-mod datfiles. (deleted)
2016-07-27 10:19 UTC, todd_lewis
no flags Details | Diff

Description todd_lewis 2016-07-27 10:19:49 UTC
Created attachment 1184578 [details]
"the the" typo corrections for fortune-mod datfiles.

Description of problem: typos in some fortunes.


Version-Release number of selected component (if applicable): 1.99.1-22


How reproducible: Always.


Steps to Reproduce:
1. fortune
2.
3.

Actual results: ... the the ...


Expected results: ... the ...


Additional info: A fortune from logwatch had the classic "the the" stutter.
grep -Pizl '\bthe[ \n]the\b'  $(find datfiles -type f)
showed this is actually a class of typos in the fortune datfiles.
The attached .patch file contains fixes for the errors I found.

Comment 1 todd_lewis 2016-07-29 12:50:52 UTC
Just spotted another typo in /usr/share/games/fortune/songs-poems. In:

 The Moving Finger writes; and, having writ,
 	Moves on: nor all they Piety nor Wit
 Shall lure it back to cancel half a Line,
 	Nor all thy Tears wash out a Word of it.

That second line should say "all thy Piety nor Wit".

Comment 2 todd_lewis 2016-10-23 20:46:21 UTC
I hate to even bother about such petty things, but here's another typo in /usr/share/games/fortune/cookie, line 1777

  that they are easily disposed to restore to the sword.

should be

  that they are easily disposed to resort to the sword.

I do love me some fortune. :)

Comment 3 todd_lewis 2016-11-10 14:06:01 UTC
...and one more, in /usr/share/games/fortune/work and work.u8, line 2015,

  asked on Los Angeles wife

should be

  asked one Los Angeles wife

Other than that, the entire Fedora distribution is perfect. I know this urgent issue will take absolute top priority. </sarcasm>

Comment 4 todd_lewis 2016-12-12 14:21:39 UTC
Here's a problem with "platitudes" and "platitudes.u8".
At/around line 915, there's an empty (missing) quotation, but
it's attributed to Owen Meredith. Kind of weird for "fortune"
to return "-- Owen Meredith" and nothing else.

Top priority stuff here for sure. 'Cause life is short. Cheers!

Comment 5 Shlomi Fish 2017-03-25 13:44:54 UTC
Hi Mr. Lewis!

I corrected these problems in my git master branch of https://github.com/shlomif/fortune-mod and they should be in the new release. You can file issues and pull requests for them there on github in the future.

Comment 6 Fedora End Of Life 2017-07-25 22:05:40 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-08-08 15:55:47 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 todd_lewis 2017-08-09 11:45:55 UTC
(In reply to Shlomi Fish from comment #5)
> Hi Mr. Lewis!
> 
> I corrected these problems in my git master branch of
> https://github.com/shlomif/fortune-mod and they should be in the new
> release. You can file issues and pull requests for them there on github in
> the future.

That's great, glad you could take the fixes.

However, the package doesn't mention your upstream repo
  https://github.com/shlomif/fortune-mod.
Rather, it references only
  http://www.redellipse.net/code/fortune
which throws a "502 Bad Gateway".

Perhaps someone could change the RPM to list a working URL so that would-be bug reporters could work directly with upstream rather than having to push changes to upstream through RedHat's bugzilla.

Comment 9 Fedora Update System 2017-11-19 02:11:29 UTC
fortune-mod-1.99.5-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bc79e4beb8

Comment 10 Fedora Update System 2017-11-20 19:52:37 UTC
fortune-mod-1.99.5-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bc79e4beb8

Comment 11 Fedora Update System 2018-02-06 11:19:47 UTC
fortune-mod-1.99.5-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-02-06 15:26:05 UTC
fortune-mod-1.99.5-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.